# CoreStoreErrorCode

    public enum CoreStoreErrorCode : Int

The `NSError` error codes for `CoreStoreErrorDomain`.

- `unknownError`

  A failure occured because of an unknown error.

  #### Declaration

  Swift

      case unknownError

- `differentStorageExistsAtURL`

  The `NSPersistentStore` could note be initialized because another store existed at the specified `NSURL`.

  #### Declaration

  Swift

      case differentStorageExistsAtURL

- `mappingModelNotFound`

  An `NSMappingModel` could not be found for a specific source and destination model versions.

  #### Declaration

  Swift

      case mappingModelNotFound

- `progressiveMigrationRequired`

  Progressive migrations are disabled for a store, but an `NSMappingModel` could not be found for a specific source and destination model versions.

  #### Declaration

  Swift

      case progressiveMigrationRequired

- `asynchronousMigrationRequired`

  The `LocalStorage` was configured with `.allowSynchronousLightweightMigration`, but the model can only be migrated asynchronously.

  #### Declaration

  Swift

      case asynchronousMigrationRequired

- `internalError`

  An internal SDK call failed with the specified NSError userInfo key.

  #### Declaration

  Swift

      case internalError

- `userError`

  The transaction was terminated by a user-thrown `Error` specified by Error userInfo key.

  #### Declaration

  Swift

      case userError

- `userCancelled`

  The transaction was cancelled by the user.

  #### Declaration

  Swift

      case userCancelled

- `persistentStoreNotFound`

  Attempted to perform a fetch but could not find any related persistent store.

  #### Declaration

  Swift

      case persistentStoreNotFound